Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class DefaultGriffonClass

    java.lang.Object
      org.codehaus.griffon.runtime.core.AbstractGriffonClass
          org.codehaus.griffon.runtime.core.DefaultGriffonClass

    public class DefaultGriffonClass
    extends AbstractGriffonClass

A default implementation for Griffon classes that need to be registered and managed by a GriffonApplication, but don't need any special handling.

Authors:
  Graeme Rocher (Grails 0.1)
  Andres Almiray

Since:
  0.9.1

Field Summary

Fields inherited from class AbstractGriffonClass
app, classPropertyFetcher, clazz, eventsCache, fullName, log, logicalPropertyName, name, naturalName, packageName, propertyName, shortName, type

Constructor Summary
`DefaultGriffonClass(GriffonApplication app, Class clazz, String type, String trailingName)`
`DefaultGriffonClass(GriffonApplication app, Class clazz, String type)`

Method Summary

Methods inherited from class AbstractGriffonClass
equals, getApp, getArtifactType, getClazz, getEventNames, getFullName, getGroovyProperty, getLogicalPropertyName, getMetaClass, getMetaProperties, getName, getNaturalName, getPackageName, getPropertiesWithFields, getPropertyDescriptors, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyType, getPropertyValue, getPropertyValue, getPropertyValueObject, getReferenceInstance, getShortName, getStaticPropertyValue, hasMetaMethod, hasMetaMethod, hasMetaProperty, hasProperty, hashCode, isClosureMetaProperty, isReadableProperty, newInstance, resetCaches, returnOnlyIfInstanceOf, setMetaClass, toString, updateMetaClass

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### DefaultGriffonClass

    public DefaultGriffonClass(GriffonApplication app, Class clazz, String type, String trailingName)

### DefaultGriffonClass

    public DefaultGriffonClass(GriffonApplication app, Class clazz, String type)

Groovy Documentation